Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 447022 - Unmasking net-fs/samba-4.0.x
Summary: Unmasking net-fs/samba-4.0.x
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal enhancement with 4 votes (vote)
Assignee: Gentoo's SAMBA Team
URL:
Whiteboard:
Keywords:
Depends on: samba-4 453532 465956 CVE-2014-3560 534432
Blocks: 477190
  Show dependency tree
 
Reported: 2012-12-12 15:47 UTC by schmitt953
Modified: 2016-02-07 20:28 UTC (History)
23 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
hack for heimdal[ssl] (samba4-mychanges.patch,7.63 KB, patch)
2012-12-12 23:08 UTC, Rafał Mużyło
Details | Diff
updated version of the hack - builds with samba 4.1.7 (samba4-mychanges2.patch,7.65 KB, patch)
2014-05-04 17:11 UTC, Rafał Mużyło
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description schmitt953 2012-12-12 15:47:11 UTC
Now that Samba 4 is out it's time to unmask it. I talked upstream and if there are major issues with config files it can be slotted without any problems. I'm about to do some tests in a VM. If others would like to join me that would be great.

Reproducible: Always
Comment 1 Jeroen Roovers gentoo-dev 2012-12-12 15:53:32 UTC
# Patrick Lauer <patrick@gentoo.org> (07 Apr 2010)
# Keeping samba-4 masked until release.
>net-fs/samba-4

We'll need re-keywording for all except x86 and amd64, too.
Comment 2 Rafał Mużyło 2012-12-12 23:07:20 UTC
There's an issue or two with the current ebuild.

First of all, it seems '--with-modulesdir=' option has been misunderstood both in net-fs/samba *and* in sys-libs/ldb.
There's much that suggests, that in *both* the value should be '/usr/$(get_libdir)/samba' - simply compare with samba3 install.

On that note, /usr/lib/mit_samba.so looks out of place, but I can't say where it should belong, if not there.

That line for 'Make all .so files executable' seem redundant, though perhaps didn't build with all useflags set, so I might be missing a file or two.

It would be nice if 'server' useflag got restored (also gvfs has samba[smbclient] dep that this ebuild doesn't satisfy).

On a final note: I've got a hack that makes samba4 build with heimdal[ssl], though it obviously needs work (and needs dev-libs/openssl instead).
Comment 3 Rafał Mużyło 2012-12-12 23:08:36 UTC
Created attachment 332180 [details, diff]
hack for heimdal[ssl]
Comment 4 schmitt953 2012-12-14 02:37:00 UTC
They don't support mit-krb5 for domain controllers.
Comment 5 Rafał Mużyło 2013-01-22 08:18:02 UTC
Given that samba ebuild has just been changed in regard of that module path, perhaps ldb ebuild should be too ?

That would remove the need for those moves in samba ebuild.
Comment 6 Lars Wendler (Polynomial-C) gentoo-dev 2013-10-14 07:55:10 UTC
Now that samba-4.1.0 was released we should finally unmask samba-4.0.x:

09:49:48 <@Poly-C_atwork> DrEeevil: IMHO we should at least provide some portage news item.
09:50:20 <@Poly-C_atwork> And we should target that to samba-4.0.x as I think 4.1.x is way too early for unleashing to ~arch right now.

So anything else we need to consider?
Comment 7 Steve Yin 2013-10-25 01:43:08 UTC
well, I think it's time to unmask it now, because Windows 8.1 don't play well with samba 3.6.x, every login need to input twice password, so because of UAC, there is no chance to login second time with admin privilege, and that makes impossible to install any software placed on a samba server with windows 8.1.
Comment 8 schmitt953 2014-05-01 04:44:28 UTC
What happened to this, are we going to unmask?
Comment 9 Rafał Mużyło 2014-05-04 17:11:01 UTC
Created attachment 376356 [details, diff]
updated version of the hack - builds with samba 4.1.7
Comment 10 Mario Bachmann 2014-11-05 20:04:05 UTC
When will Samba 4.1.13 be unmasked? Whould be nice to give it a try. Samba 4 was released in 2012. Why does it take such a long time to be availabe in Gentoo for the users? I recognized the the bugs this bug is depending on...
Comment 11 Bjarke Istrup Pedersen (RETIRED) gentoo-dev 2015-02-22 10:47:21 UTC
It seems like Samba 3.x is being discontinued upstream when 4.2 is released - please see: https://download.samba.org/pub/samba/rc/WHATSNEW-4.2.0rc3.txt
Comment 12 Lars Wendler (Polynomial-C) gentoo-dev 2015-03-07 11:15:20 UTC
+  07 Mar 2015; Lars Wendler <polynomial-c@gentoo.org> package.mask:
+  Unleash samba-4 to ~arch
+
Comment 13 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2015-03-10 21:17:21 UTC
Asking for QA involvement here.

This bug is blocked by a number of tracked bugs which nobody bothered to fix before unmasking. Now users are having those issues, and I don't see anyone stepping up to fix them.
Comment 14 Andrew Savchenko gentoo-dev 2015-07-01 09:30:57 UTC
Seconded here. At the very least please apply already proposed patch to use internal heimdal library. At least this will fix mutual block with mit-krb5 and all related software. At this very case bundled library is a good solution, probably the best we have available in practical terms.
Comment 15 Víctor Ostorga (RETIRED) gentoo-dev 2016-02-07 20:28:02 UTC
This bug is pointless now that samba is unmasked.

Any bug that needs to be tracked, please add it to bug 489762